cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Savory <and...@luminas.co.uk>
Subject Re: Xindice 1.0 broken by XindiceEmbedded
Date Wed, 10 Dec 2003 00:43:12 GMT
Hi,

On 9 Dec 2003, at 21:47, Vadim Gritsenko wrote:

> Remove one of those (if you want to use 1.0 - remove 1.1), and use 
> just one version. Remove also reference in xconf to the new class - 
> o.a.x.c.embed.DatabaseImpl - it is not present in 1.0

Yes, I know that works as I did that in order to check the cause of the 
problem in the first place. My concern is that there may be people out 
there (like me!) already using Cocoon 2.1 with standalone XIndice 1.0. 
For these people, the new embedded xindice will cause Cocoon to break 
with no explanation. This is not a good thing - especially given the 
decisions on this list to focus only on -released- versions of 
software.

I guess our options are:

1) document the problem, stick with embedded xindice (good because we 
get latest xindice, bad because we quietly break existing sites)
2) disable embedded xindice by default (good because it means 
everything works as with previous cocoon 2.1.* releases, bad because we 
miss out on embedded functionality and xindice sample)
3) Do it some other way?


Andrew.

--
Andrew Savory, Managing Director, Luminas Limited
Tel: +44 (0)870 741 6658  Fax: +44 (0)700 598 1135
Web: http://www.luminas.co.uk/
Orixo alliance: http://www.orixo.com/


Mime
View raw message